Oracle Linux 4 : xorg-x11 (ELSA-2007-0898)

Medium Nessus Plugin ID 67572


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2007:0898 :

Updated packages that correct a flaw in X.Org's composite extension are now available for Red Hat Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red Hat Security Response Team. is an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon.

A flaw was found in the way X.Org's composite extension handles 32 bit color depth windows while running in 16 bit color depth mode. If an server has enabled the composite extension, it may be possible for a malicious authorized client to cause a denial of service (crash) or potentially execute arbitrary code with the privileges of the server. (CVE-2007-4730)

Please note this flaw can only be triggered when using a compositing window manager. Red Hat Enterprise Linux 4 does not ship with a compositing window manager.

Users of should upgrade to these updated packages, which contain a backported patch and are not vulnerable to these issues.


Update the affected xorg-x11 packages.

See Also

Plugin Details

Severity: Medium

ID: 67572

File Name: oraclelinux_ELSA-2007-0898.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:L/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:xorg-x11, p-cpe:/a:oracle:linux:xorg-x11-Mesa-libGL, p-cpe:/a:oracle:linux:xorg-x11-Mesa-libGLU, p-cpe:/a:oracle:linux:xorg-x11-Xdmx, p-cpe:/a:oracle:linux:xorg-x11-Xnest, p-cpe:/a:oracle:linux:xorg-x11-Xvfb, p-cpe:/a:oracle:linux:xorg-x11-deprecated-libs, p-cpe:/a:oracle:linux:xorg-x11-deprecated-libs-devel, p-cpe:/a:oracle:linux:xorg-x11-devel, p-cpe:/a:oracle:linux:xorg-x11-doc, p-cpe:/a:oracle:linux:xorg-x11-font-utils, p-cpe:/a:oracle:linux:xorg-x11-libs, p-cpe:/a:oracle:linux:xorg-x11-sdk, p-cpe:/a:oracle:linux:xorg-x11-tools, p-cpe:/a:oracle:linux:xorg-x11-twm, p-cpe:/a:oracle:linux:xorg-x11-xauth, p-cpe:/a:oracle:linux:xorg-x11-xdm, p-cpe:/a:oracle:linux:xorg-x11-xfs, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/09/19

Vulnerability Publication Date: 2007/09/06

Reference Information

CVE: CVE-2007-4730

BID: 25606

OSVDB: 37726

RHSA: 2007:0898

CWE: 119